<?php require_once('Connections/conn.php'); ?>
<?php session_start();
// Captura la datos del usuario que se logueó (Cédula, Tipo de Usuario y Username).
  $cedula_usuario=$_SESSION['CEDULA_USUARIO'];
  $username=$_SESSION['MM_Username'];
  $tipo_usuario=$_SESSION['PRIVILEGIO']; 
 
  mysql_select_db("siga_pregrado");
  mysql_query ("SET NAMES 'utf8'"); 
  
  $sql = "select apellidos,nombres from usuarios where cedula='$cedula_usuario'";
  $rs=mysql_query($sql,$conn);
  $row=mysql_fetch_array($rs);
  $intruso=$row['apellidos'].', '.$row['nombres'];

  if (!isset($_SESSION['MM_Username']) || $_SESSION['MM_Username']=="") {
      // Registra el acceso indebido.
		$consulta=addslashes($sql);
  		$fecha=date("Y-m-d G:i:A");
  		$accion="Intento de acceso sin iniciar sesión.";
  		$script="datos_bachillerato.php";
  		$ip=obtener_ip();
  		$sql1 = "insert into `intrusos` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script')";
  		mysql_query($sql1, $conn) or die(mysql_error());
	    // Destruye la sessión.
	    session_destroy();
	    header ("Location: modulos/inicio/index.php");
	  }  

  if ($tipo_usuario!="1" && $tipo_usuario!="5" && $tipo_usuario!="10") {
        // Registra el acceso indebido.
		$consulta=addslashes($sql);
  		$fecha=date("Y-m-d G:i:A");
  		$accion="Intento de Acceso indebido";
  		$script="datos_bachillerato.php";
  		$ip=obtener_ip();
  		$sql1 = "insert into `intrusos` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script')";
  		mysql_query($sql1, $conn) or die(mysql_error());
        // Destruye la sesión.
		session_destroy();
        $inicial = "salida_intruso.php?intruso=$intruso";
        header(sprintf("Location: %s", $inicial));
  }  
  
 // Tomo los valores que vienen de alumnos.php
 $alumVolver=$_GET["alumVolver"];
 $id_alumno=$_GET["id_alumno"];
 $nombre=$_GET["nombre"];
 $campo=$_GET["campo"];
 $valor_campo=$_GET["valor_campo"];
 
 //Busca tomar el id del alumno
$sql = "SELECT id_alumno FROM datos_bachillerato where id_alumno='$id_alumno'";
$rst = mysql_query($sql, $conn) or die(mysql_error());
$totalRows = mysql_num_rows($rst);
$cedula=$_GET["cedula"];
if($totalRows==0){
	$sql1 = "insert into `datos_bachillerato` (`id_alumno`) values ('$id_alumno')";
    mysql_query($sql1, $conn) or die(mysql_error());
}

$sql = "SELECT cedula FROM alumnos where id_alumno='$id_alumno'";
$rst = mysql_query($sql, $conn) or die(mysql_error());
$row=mysql_fetch_array($rst);
$totalRows = mysql_num_rows($rst);
$cedula=$row["cedula"];
 
?>
<html>
<head>
<title>enaph_siace -- datos_bachillerato</title>
<meta name="generator" http-equiv="content-type" content="text/html; charset=UTF-8">
<style type="text/css">
  body {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .bd {
	background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 14px;
  }
  .tbl {
    background-color: #FFFFFF;
  }
  a:link { 
    background-color: #FFFFFF01;
    color: #FF0000;
    font-family: Arial;
    font-size: 12px;
  }
  a:active { 
    background-color: #FFFFFF01;
    color: #0000FF;
    font-family: Arial;
    font-size: 12px;
  }
  a:visited { 
    background-color: #FFFFFF01;
    color: #800080;
    font-family: Arial;
    font-size: 12px;
  }
  .hr {
    background-color: #336699;
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:link {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:active {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:visited {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  .dr {
    background-color: #FFFFFF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
  .sr {
    background-color: #FFFFCF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
	}
.style1 {
	background-color: #336699;
	color: #FFFFFF;
	font-family: Arial;
	font-size: 16px;
	font-weight: bold;
  }
</style>
</head>
<body>
<table class="bd" width="100%">
<tr>
  <td  class="style1">Datos Acad&eacute;micos</td>
</tr>
<tr><td><b>ESTUDIANTE:</b>&nbsp;&nbsp;<?php echo $nombre ?>&nbsp;&nbsp;<b>C&Eacute;DULA:</b>&nbsp;<?php echo $cedula ?></td></tr>
</table>
<hr size="1" noshade>
<?php
  require_once('Connections/conn.php');
  mysql_select_db("siga_pregrado");
  mysql_query ("SET NAMES 'utf8'");
  
  $showrecs = 50;
  $pagerange = 50;

  $a = @$_GET["a"];
  $recid = @$_GET["recid"];
  $page = @$_GET["page"];
  if (!isset($page)) $page = 1;

  $sql = @$_POST["sql"];

  switch ($sql) {
    case "update":
      sql_update();
      break;
  }

  switch ($a) {
    case "edit":
      editrec($recid);
      break;
    default:
      select();
      break;
  }


  mysql_close($conn);
?>
<table class="bd" width="100%"><tr><td class="hr"></td></tr></table>
</body>
</html>

<?php function showroweditor($row, $iseditmode)
  {
  global $conn;
  
  mysql_select_db($database_conn, $conn);
  mysql_query ("SET NAMES 'utf8'");
?>
<table class="tbl" border="0" cellspacing="1" cellpadding="3" width="100%">
<tr>
<td colspan="3" >T&iacute;tulo de Bachiller</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Título Obtenido")."&nbsp;" ?></td>
<td class="dr"><input name="titulo_bachiller" type="text" value="<?php echo str_replace('"', '&quot;', trim($row["titulo_bachiller"])) ?>" size="85" maxlength="255"></td></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Mención del Título")."&nbsp;" ?></td>
<td class="dr"><input name="titulo_bachiller" type="text" value="<?php echo str_replace('"', '&quot;', trim($row["titulo_bachiller"])) ?>" size="85" maxlength="255"></td></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Número del Título")."&nbsp;" ?></td>
<td class="dr"><input type="text" name="nro_titulo" maxlength="25" value="<?php echo str_replace('"', '&quot;', trim($row["nro_titulo"])) ?>"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Año de Egreso")."&nbsp;" ?></td>
<td class="dr"><input type="text" name="annio_egreso" value="<?php echo str_replace('"', '&quot;', trim($row["annio_egreso"])) ?>"></td>
</tr>
<tr>
<td colspan="3" >Datos del Plantel</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Nombre del Plantel")."&nbsp;" ?></td>
<td class="dr"><input name="nombre_plantel" type="text" value="<?php echo str_replace('"', '&quot;', trim($row["nombre_plantel"])) ?>" size="85"  maxlength="150"></td></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Número del Plantel")."&nbsp;" ?></td>
<td class="dr"><input type="text" name="nro_plantel" maxlength="25" value="<?php echo str_replace('"', '&quot;', trim($row["nro_plantel"])) ?>"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Ciudad de Ubicación")."&nbsp;" ?></td>
<td class="dr"><input name="ciudad_plantel" type="text" value="<?php echo str_replace('"', '&quot;', trim($row["ciudad_plantel"])) ?>" size="60"  maxlength="60"></td>
</tr>
<tr>
<td colspan="3" >Sistema Nacional de Ingreso (SNI)</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Número SNI (CNU-OPSU)")."&nbsp;" ?></td>
<td class="dr"><input name="sni" type="text" value="<?php echo str_replace('"', '&quot;', trim($row["sni"])) ?>" size="15"  maxlength="15"></td>
</tr>

</table>
<?php } ?>

<?php function showpagenav($page, $pagecount)
{
?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<?php if ($page > 1) { ?>
<td><a href="datos_bachillerato.php?page=<?php echo $page - 1 ?>">&lt;&lt;&nbsp;Anterior</a>&nbsp;</td>
<?php } ?>
<?php
  global $pagerange;

  if ($pagecount > 1) {

  if ($pagecount % $pagerange != 0) {
    $rangecount = intval($pagecount / $pagerange) + 1;
  }
  else {
    $rangecount = intval($pagecount / $pagerange);
  }
  for ($i = 1; $i < $rangecount + 1; $i++) {
    $startpage = (($i - 1) * $pagerange) + 1;
    $count = min($i * $pagerange, $pagecount);

    if ((($page >= $startpage) && ($page <= ($i * $pagerange)))) {
      for ($j = $startpage; $j < $count + 1; $j++) {
        if ($j == $page) {
?>
<td><b><?php echo $j ?></b></td>
<?php } else { ?>
<td><a href="datos_bachillerato.php?page=<?php echo $j ?>"><?php echo $j ?></a></td>
<?php } } } else { ?>
<td><a href="datos_bachillerato.php?page=<?php echo $startpage ?>"><?php echo $startpage ."..." .$count ?></a></td>
<?php } } } ?>
<?php if ($page < $pagecount) { ?>

<?php } ?>
</tr>
</table>
<?php } ?>

<?php function showrecnav($a, $recid, $count)
{
 global $alumVolver;
 global $id_alumno;
 global $nombre;
 global $campo;
 global $valor_campo;

?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>

<td><a href="alumnos.php?a=retorno&recid=<?php echo $alumVolver ?>&id_alumno=<?php echo $id_alumno ?>&nombre=<?php echo $nombre ?>&campo=<?php echo $campo ?>&valor_campo=<?php echo $valor_campo ?>">Regresar</a>&nbsp;</td>

<?php if ($recid > 0) { ?>

<?php } ?>
</tr>
</table>
<hr size="1" noshade>
<?php } ?>

<?php function editrec($recid)
{
  global $alumVolver;
  global $id_alumno;
  global $nombre;
  global $campo;
  global $valor_campo;
  
  $res = sql_select();
  $count = sql_getrecordcount();
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  showrecnav("edit", $recid, $count);
?>
<br>
<form enctype="multipart/form-data" action="datos_bachillerato.php?a=edit&alumVolver=<?php echo $recid; ?>&id_alumno=<?php echo $id_alumno; ?>&nombre=<?php echo $nombre; ?>&campo=<?php echo $filterfield; ?>&valor_campo=<?php echo $filter; ?>" method="post">
<input type="hidden" name="sql" value="update">
<input type="hidden" name="xid_alumno" value="<?php echo $row["id_alumno"] ?>">
<input type="hidden" name="xnro_titulo" value="<?php echo $row["nro_titulo"] ?>">
<input type="hidden" name="xannio_egreso" value="<?php echo $row["annio_egreso"] ?>">
<input type="hidden" name="xnro_plantel" value="<?php echo $row["nro_plantel"] ?>">
<input type="hidden" name="sni" value="<?php echo $row["sni"] ?>">
<?php showroweditor($row, true); ?>
<p><input type="submit" name="action" value="Guardar"></p>
</form>
<?php
  mysql_free_result($res);
} ?>

<?php function connect()
{
 
}

function sqlvalue($val, $quote)
{
  if ($quote)
    $tmp = sqlstr($val);
  else
    $tmp = $val;
  if ($tmp == "")
    $tmp = "NULL";
  elseif ($quote)
    $tmp = "'".$tmp."'";
  return $tmp;
}

function sqlstr($val)
{
  return str_replace("'", "''", $val);
}

function sql_select()
{
  global $conn;
  global $id_alumno;

  $sql = "SELECT `id_alumno`, `titulo_bachiller`, `nro_titulo`, `annio_egreso`, `nombre_plantel`, `nro_plantel`, `ciudad_plantel`, `sni` FROM `datos_bachillerato` where id_alumno='$id_alumno'";
  $res = mysql_query($sql, $conn) or die(mysql_error());
  return $res;
}

function sql_getrecordcount()
{
  global $conn;
  global $id_alumno;
 
  $sql = "SELECT COUNT(*) FROM `datos_bachillerato` where id_alumno='$id_alumno'";
  $res = mysql_query($sql, $conn) or die(mysql_error());
  $row = mysql_fetch_assoc($res);
  reset($row);
  return current($row);
}

function sql_update()
{
  global $conn;
  global $_POST;
  
  $fecha_exp_cc=join ("-",(array_reverse(explode("-",@$_POST["fecha_exp_cc"]))));
  $annio_egreso=join ("-",(array_reverse(explode("-",@$_POST["annio_egreso"]))));
   
  $sql = "update `datos_bachillerato` set `titulo_bachiller`=" .sqlvalue(@$_POST["titulo_bachiller"], true).", `nro_titulo`=" .sqlvalue(@$_POST["nro_titulo"], true).", `annio_egreso`=" .sqlvalue(@$_POST["annio_egreso"], true).", `nombre_plantel`=" .sqlvalue(@$_POST["nombre_plantel"], true).", `ciudad_plantel`=" .sqlvalue(@$_POST["ciudad_plantel"], true).", `nro_plantel`=" .sqlvalue(@$_POST["nro_plantel"], true).", `sni`=" .sqlvalue(@$_POST["sni"], true)." where " .primarykeycondition();
  mysql_query($sql, $conn) or die(mysql_error());
}

function primarykeycondition()
{
  global $_POST;
  $pk = "";
  $pk .= "(`id_alumno`";
  if (@$_POST["xid_alumno"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xid_alumno"], false);
  };
  $pk .= ")";
  return $pk;
}

function obtener_ip()
  {
 if ($_SERVER) {  
    if ( $_SERVER[HTTP_X_FORWARDED_FOR] ) {  
    $realip = $_SERVER["HTTP_X_FORWARDED_FOR"];  
   } elseif ( $_SERVER["HTTP_CLIENT_IP"] ) {  
$realip = $_SERVER["HTTP_CLIENT_IP"];  
} else  {  
$realip = $_SERVER["REMOTE_ADDR"];  
}  
} else {  
if ( getenv( 'HTTP_X_FORWARDED_FOR' ) ) {  
$realip = getenv( 'HTTP_X_FORWARDED_FOR' );  
} elseif ( getenv( 'HTTP_CLIENT_IP' ) ) {  
$realip = getenv( 'HTTP_CLIENT_IP' );  
} else {  
$realip = getenv( 'REMOTE_ADDR' );  
}  
}  
return $realip;  
  }
 ?>
